import { CliManifest, NpmDownloadConfig, NpmInstallConfig } from "../shared/types.js";
export declare class DownloaderService {
    private readonly currentDir;
    private templatesRepoUrl;
    downloadNpmPackage(config: NpmDownloadConfig): Promise<void>;
    downloadRemoteManifest(): Promise<CliManifest>;
    downloadRemoteZip(version: string, destination?: string): Promise<void>;
    npmInstall(config: NpmInstallConfig): Promise<void>;
}
